dojo.provide("parus.formats");

if (!parus) parus = {};

if (!parus.formats) dojo.mixin(parus, {
  formats: {}
});

dojo.mixin(parus.formats, {

  stringToDate: function(value, defaultValue) {
    return value ? dojo.date.locale.parse(value, {
      datePattern: "dd.MM.yyyy",
      selector: "date"
    }) : defaultValue || null;
  },

  dateToString: function(value, defaultValue) {
    return value ? dojo.date.locale.format(value, {
      selector: "date",
      datePattern: "dd.MM.yyyy"
    }) : defaultValue || null
  },

  stringOfChar: function(chr, count) {
    return new Array(count + 1).join(chr);
  }

});